Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Enum Class ChequeDelivery1Code

java.lang.Object
java.lang.Enum<ChequeDelivery1Code>
org.kapott.hbci.sepa.jaxb.pain_001_001_11.ChequeDelivery1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<ChequeDelivery1Code>`, `Constable`

public enum ChequeDelivery1Code extends Enum<ChequeDelivery1Code>

Java class for ChequeDelivery1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ChequeDelivery1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MLDB"/>
         <enumeration value="MLCD"/>
         <enumeration value="MLFA"/>
         <enumeration value="CRDB"/>
         <enumeration value="CRCD"/>
         <enumeration value="CRFA"/>
         <enumeration value="PUDB"/>
         <enumeration value="PUCD"/>
         <enumeration value="PUFA"/>
         <enumeration value="RGDB"/>
         <enumeration value="RGCD"/>
         <enumeration value="RGFA"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRCD`
`CRDB`
`CRFA`
`MLCD`
`MLDB`
`MLFA`
`PUCD`
`PUDB`
`PUFA`
`RGCD`
`RGDB`
`RGFA`

## Method Summary

Modifier and Type
Method
Description
`static ChequeDelivery1Code`
`fromValue(String v)`
`String`
`value()`
`static ChequeDelivery1Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChequeDelivery1Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MLDB

public static final ChequeDelivery1Code MLDB

### MLCD

public static final ChequeDelivery1Code MLCD

### MLFA

public static final ChequeDelivery1Code MLFA

### CRDB

public static final ChequeDelivery1Code CRDB

### CRCD

public static final ChequeDelivery1Code CRCD

### CRFA

public static final ChequeDelivery1Code CRFA

### PUDB

public static final ChequeDelivery1Code PUDB

### PUCD

public static final ChequeDelivery1Code PUCD

### PUFA

public static final ChequeDelivery1Code PUFA

### RGDB

public static final ChequeDelivery1Code RGDB

### RGCD

public static final ChequeDelivery1Code RGCD

### RGFA

public static final ChequeDelivery1Code RGFA

## Method Details

### values

public static ChequeDelivery1Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChequeDelivery1Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static ChequeDelivery1Code fromValue(String v)